<template>
  <div>
    <div class="chapterBox">
      <div
        v-for="(item, index) in pageShow"
        :key="index"
        @click="chapterSelected(item.id)"
        class="chapterSelectBox row justify-between q-px-md"
        :class="{ bluebg: item.id == selectedChapter }"
      >
        <div class="font-24">ตอน {{ item.chapter }}</div>
        <div class="datefont font-14">{{ dateShow(item.timestamp) }}</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["chapterData", "bookData"],
  data() {
    return {
      sortType: "down",
      selectedChapter: 0,
      pageShow: [],
    };
  },
  methods: {
    dateShow(dateRaw) {
      let datetemp = dateRaw.split(" ")[0].split("-");
      return datetemp[2] + "/" + datetemp[1] + "/" + datetemp[0];
    },
    chapterSelected(chapterID) {
      this.selectedChapter = chapterID;
      this.$emit("chapter", chapterID);
    },
    loadData() {
      this.pageShow = [...this.chapterData];
      this.pageShow.sort((a, b) => Number(b.orderid) - Number(a.orderid));
      this.chapterSelected(this.pageShow[0].id);
    },
  },
  async mounted() {
    if (this.chapterData.length > 0) {
      this.loadData();
    }
  },
  watch: {
    chapterData: function (newPage, oldPage) {
      if (newPage.length > 0) {
        this.loadData();
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.sortBtn {
  height: 45px;
  line-height: 45px;
  border: 1px solid $bluetoon;
  width: 180px;
  border-radius: 100px;
  color: $bluetoon;
  padding-left: 15px;
  margin: auto;
  margin-top: 10px;
  cursor: pointer;
}
.sortDiv {
  height: 60px;
}
.chapterBox {
  width: 100%;
  border-top: 1px solid $greytoon;
  height: calc(100vh - 50px);
  overflow-y: auto;
}
.chapterSelectBox {
  height: 60px;
  border-bottom: 1px solid $greytoon;
  cursor: pointer;
  line-height: 60px;
}
.datefont {
  color: $greyfont;
}
.bluebg {
  background-color: #2d6be4;
  color: white;
}
</style>
